org.restlet.engine.log

## Class DefaultAccessLogFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - org.restlet.engine.log.AccessLogFormatter
    - - org.restlet.engine.log.DefaultAccessLogFormatter

    public class DefaultAccessLogFormatter
    extends AccessLogFormatter

Access log record formatter which writes a header describing the default log format.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`DefaultAccessLogFormatter()`

### Method Summary

Methods
`java.lang.String` `getHead(java.util.logging.Handler h)`

### Methods inherited from class org.restlet.engine.log.AccessLogFormatter

`format`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultAccessLogFormatter

    public DefaultAccessLogFormatter()

### Method Detail

#### getHead

    public java.lang.String getHead(java.util.logging.Handler h)

Overrides:
  `getHead` in class `java.util.logging.Formatter`